package com.lovecoding.day12.ex01;

public class Ball implements Rollable {
    String name;
    public Ball(String name) {
        this.name = name;
    }
    public Ball() {
    }
    public String getName() {
        return name;
    }
    @Override
    public void play() {
        //ball = new Ball("Football"); 编译问题 ？ ball被final修饰 不允许再次赋值
    }
}
interface Playable{
    void play();
}
interface Bonceable{
    void play();
}
interface Rollable extends Playable ,Bonceable{
    //Rollable 接口
    // 接口中的成员变量 默认 public final static
    Ball ball = new Ball("pingpang");
}
